import psycopg2
import os

database_user = os.environ['DB_USER']
database_password = os.environ['DB_PW']
host = os.environ['DB_HOST']
port = os.environ['DB_PORT']
database = os.environ['DB_NAME']

def connect_to_db(eo_id):
    global db_name, coverage_id
    try:
        # connection = psycopg2.connect(  "dbname=emg_db user=emg_user password=QkU)n=Wwr70w^o=4XS~*5)vfL[ij~C} host=127.0.0.1 port=84")
        connection = psycopg2.connect(dbname=database, user=database_user, password=database_password, host=host, port=port)

        cursor = connection.cursor()
        db_name = connection.get_dsn_parameters()["dbname"]
        postgreSQL_select_Query = "SELECT identifier FROM coverages_eoobject WHERE identifier = '%s';" % eo_id
        cursor.execute(postgreSQL_select_Query)
        coverage_id = cursor.fetchone()[0]

    except (Exception, psycopg2.Error) as error :
        print ("Error while connecting to PostgreSQL", error)
    finally:
        #closing database connection.
            if(connection):
                cursor.close()
                connection.close()
                print("PostgreSQL connection is closed")
                


def test_db_name(name):
    identifier = name.split('/')[4]
    connect_to_db(identifier)
    assert coverage_id == identifier
    assert db_name == database

